/* Reset some default styles for consistency */
body, h1, h2, h3, p, ul, ol, li {
    margin: 0;
    padding: 0;
}

/* Body and Typography */
body {
    font-family: Arial, sans-serif;
    line-height: 1.6;
    background-color: #f4f4f4;
    height: 100%;
    overflow: hidden;
}

h1, h2, h3 {
    margin-bottom: 20px;
}

h1 {
    font-size: 36px;
}

h2 {
    font-size: 28px;
}

h3 {
    font-size: 22px;
}

p {
    margin-bottom: 20px;
}

/* Links */
a:link { color: orangered; text-decoration: none; font-weight: normal; }
a:visited { color: orangered; text-decoration: none; font-weight: normal; }
a:active { color: grey; text-decoration: none; }
a:hover { color: white; text-decoration: none; font-weight: none; }

/* Container */
.container {
    max-width: 960px;
    margin: 0 auto;
    padding: 20px;
}

/* Header */
header {
    background-color: #35424a;
    color: white;
    text-align: center;
    padding: 10px 0;
}

/* Navigation */
.navbar {
    background-color: #35424a;
    color: white;
}

.navbar a {
    color: white;
    padding: 10px 15px;
    text-decoration: none;
}

/* Button */
.btn {
    display: inline-block;
    background-color: #007BFF;
    color: white;
    padding: 10px 20px;
    border: none;
    cursor: pointer;
    text-align: center;
    text-decoration: none;
}

.btn:hover {
    background-color: #0056b3;
}

body {
    font-family: Arial, sans-serif;
    height: 100rem;
    overflow-y: hidden;
    font-size: 18px
}
.sidebar {
    height: 100; /* Set the sidebar's height to 100% of the viewport height */
    background-color: #35424a;
    height: 100vh;
    color: white;
    padding: 20px;
    display: flex; /* Use flexbox for layout */
    flex-direction: column; /* Arrange items in a column */
    overflow-x: scroll;
}
.content {
    padding: 20px;
    -webkit-box-shadow: 0 0 15px 2px lightgray;
    -moz-box-shadow: 0 0 15px 2px lightgray;
    box-shadow: 0 0 15px 2px lightgray;
    background-color: rgb(231, 231, 231);
    border-color: black;
    margin: auto;
    width: 70%;
    height: 98vh;
    margin-top: 20px;
    margin-bottom: 200px;
    overflow: auto;
    
}

pre {
    background-color: lightgray;
    border-radius: 10px;
    margin: 25px;
    margin-right:25px;
    padding:20px;
}
.container-fluid {
    height: 100vh;
}

.row {
    height: 100vh;
}

code.lang-python{
    background: lightgray;
}

code{
    color: orangered;
    background-color: lightgray;
    padding-left: 3px;
    padding-right: 3px;
    border-radius: 4px;
}

#sketch {
    position: fixed;
    left: 0;
    top: 0;
    z-index: -1;
  }

.alert {
    background-color: lightgoldenrodyellow;
}

.image_center{
    display: block;
    border-radius: 15px;
    margin-left: auto;
    margin-right: auto;
    max-width: 75%;
    max-height: 75vh;
}